Bug 619242 - Incorrect logic when querying for existence of an exchange while parsing an address string.
Incorrect logic when querying for existence of an exchange while parsing an a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Rajith Attapattu
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-28 21:51 EDT by Rajith Attapattu
Modified: 2013-02-25 05:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 05:50:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-2774 None None None Never

  None (edit)
Description Rajith Attapattu 2010-07-28 21:51:40 EDT
Description of problem:
Consider the following address string,
"HELLO/world; {create: never, node: { type: topic }}", where HELLO is a pre existing exchange of type 'direct'.

Since the type of the exchange is not specified, the Java client defaults to 'topic' right at the beginning and incorrectly compares the exchange type when querying for the exchange.
The default exchange type should only be specified if an exchange needs to be created and the type is missing.

How reproducible:
Always

Steps to Reproduce:
1. Create an exchange called HELLO with type 'direct'.
2. Pass the following to the Java Drain/Spout example
   "HELLO/world; {create: never, node: { type: topic }}"
3. Observe that the JMS client complains that the exchange is not found.
  
Actual results:
The JMS client throws an exception saying the exchange is not found.

Expected results:
The JMS client should be able to verify the exchange successfully.
Comment 1 Rajith Attapattu 2010-07-29 09:43:26 EDT
This is fixed in upstream (tracked via QPID-2774)
http://svn.apache.org/viewcvs?view=rev&rev=980259

Git commit URL
http://mrg1.lab.bos.redhat.com/cgit/qpid.git/commit/?id=1a2e20b0b6ac865d5d438877696c2068ed92bba2

Note You need to log in before you can comment on or make changes to this bug.